summaryrefslogtreecommitdiffstats
path: root/source/a/smartmontools
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-01-01 21:17:24 +0000
committer Eric Hameleers <alien@slackware.com>2019-01-02 08:59:45 +0100
commiteec4d4261607e9d68560089406d11eec060421e9 (patch)
tree67cb43ddbbbb125719499d1d0f0d3c10f14d1719 /source/a/smartmontools
parent9b2263c35d22d77dc913ca980014efc8390305db (diff)
downloadcurrent-eec4d4261607e9d68560089406d11eec060421e9.tar.gz
current-eec4d4261607e9d68560089406d11eec060421e9.tar.xz
Tue Jan 1 21:17:24 UTC 201920190101211724
a/coreutils-8.30-x86_64-4.txz: Rebuilt. Added xterm-new to DIR_COLORS. a/ed-1.15-x86_64-1.txz: Upgraded. a/smartmontools-7.0-x86_64-1.txz: Upgraded. a/sysvinit-2.93-x86_64-1.txz: Upgraded. ap/diffutils-3.7-x86_64-1.txz: Upgraded. ap/mc-4.8.22-x86_64-1.txz: Upgraded. l/gexiv2-0.10.10-x86_64-1.txz: Upgraded. l/libgphoto2-2.5.22-x86_64-1.txz: Upgraded. l/libwpd-0.10.3-x86_64-1.txz: Upgraded. x/xterm-341-x86_64-3.txz: Rebuilt. Append new app-defaults for XTerm rather than replacing the upstream file. Use 'xterm' rather than 'xterm-new' for termName to avoid surprises, but leave the other choice commented out. Install XTerm as XTerm.new to avoid wiping out a locally modified file. Still not sure we'll be able to stick with this as a default due to Terminus possibly not being available on a remote X server. Sure looks nice though. Thanks to GazL.
Diffstat (limited to 'source/a/smartmontools')
-rwxr-xr-xsource/a/smartmontools/smartmontools.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/a/smartmontools/smartmontools.SlackBuild b/source/a/smartmontools/smartmontools.SlackBuild
index 72593d71b..17d1c48e9 100755
--- a/source/a/smartmontools/smartmontools.SlackBuild
+++ b/source/a/smartmontools/smartmontools.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=smartmontools
-VERSION=${VERSION:-$(echo smartmontools-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo smartmontools-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,7 +58,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf smartmontools-$VERSION
-tar xvf $CWD/smartmontools-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/smartmontools-$VERSION.tar.?z || exit 1
cd smartmontools-$VERSION || exit 1
chown -R root:root .
@@ -77,6 +77,7 @@ make install DESTDIR=$PKG || exit 1
rm -rf $PKG/etc/rc.d/*
# Install the Slackware smartd init script:
+mkdir -p $PKG/etc/rc.d
cp -a $CWD/rc.smartd $PKG/etc/rc.d/rc.smartd.new
chown root:root $PKG/etc/rc.d/rc.smartd.new
chmod 644 $PKG/etc/rc.d/rc.smartd.new